package com.xubx.springboot_01demo.controller;

import com.xubx.springboot_01demo.entity.pojo.Comment;
import com.xubx.springboot_01demo.service.CommentService;
import com.xubx.springboot_01demo.entity.vo.CommentVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController //注解标识这是一个控制器类
@CrossOrigin    //加上CrossOrigin可解决跨域问题
@Api(tags = "评论接口")
@RequestMapping("/comment")
public class CommentController {
    @Resource
    CommentService commentService;

    /**
     * 获取所有评论
     * @param article_id
     * @return
     */
    @GetMapping("/getComment")
    @ApiOperation("获取所有评论")
    @Cacheable(value = "comment")
    public List<CommentVo> getComment(@RequestParam("blogId") int article_id){
        return commentService.findAllComment(article_id);
    }

    /**
     * 新增评论
     * @param comment
     */
    @PostMapping("/addComment")
    @ApiOperation("新增评论")
    @CacheEvict(value = "comment",allEntries = true)
    public void addComment(@RequestBody Comment comment){
        commentService.addComment(comment);
    }
}
