package com.xubx.springboot_01demo.controller;

import com.xubx.springboot_01demo.entity.dto.SendMesDto;
import com.xubx.springboot_01demo.service.MessagesService;
import com.xubx.springboot_01demo.utils.api.Result;
import io.swagger.annotations.Api;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController //注解标识这是一个控制器类
@CrossOrigin    //加上CrossOrigin可解决跨域问题
@Api(tags = "聊天接口")
@RequestMapping("/messages")
public class MessagesController {
    @Resource
    MessagesService messagesService;

    /**
     * 发送消息
     *
     * @param sendMesDto
     * @return
     */
    @PostMapping("/sendMessages")
    public ResponseEntity<Result<Void>> sendMessages(@RequestBody SendMesDto sendMesDto) {
        try {
//            sendMesDto.setSender(RequestHolder.getuserId());
            messagesService.sendMessages(sendMesDto);
            Result<Void> result = new Result<>();
            result.setCode(200);
            result.setMessage("消息发送成功");
            return ResponseEntity.ok(result);
        } catch (Exception e) {
            Result<Void> result = new Result<>();
            result.setCode(400);
            result.setMessage("消息发送失败: " + e.getMessage());
            return ResponseEntity.ok(result);
        }
    }

//    @GetMapping("/getMessages")
//    public Result<List<historyMessagesVo>> getMessages(@RequestParam("recipient") String recipient) {
////        List<historyMessagesVo> messages = messagesService.getMessages(RequestHolder.getuserId(), recipient);
////        return Result.ok("查询成功", messages);
//    }
}
