package com.xubx.springboot_01demo.controller;

import com.xubx.springboot_01demo.service.Uploadservice;
import com.xubx.springboot_01demo.utils.api.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.annotation.Resource;

@Controller //注解标识这是一个控制器类
@CrossOrigin    //加上CrossOrigin可解决跨域问题
@Slf4j
@Api(tags = "文件上传接口")
@RequestMapping("/upload")
public class UploadController {
    @Resource
    Uploadservice uploadservice;

    /**
     * 获取上传凭证
     * @return {@link Result }<{@link String }>
     */
    @RequestMapping("/getUploadCredentials")
    @ApiOperation("value = \"获取上传凭证\"")
    public ResponseEntity<String> getUploadCredentials() {
        log.info("获取上传凭证");
        try {
            String uploadCredentials = uploadservice.getUploadCredentials();
            return ResponseEntity.ok(uploadCredentials);
        } catch (Exception e) {
            return ResponseEntity.badRequest().body(e.getMessage());
        }
    }
}
