package com.xubx.springboot_01demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xubx.springboot_01demo.entity.pojo.Relationship;
import com.xubx.springboot_01demo.entity.pojo.User;
import com.xubx.springboot_01demo.entity.vo.UserListVo;

import java.util.List;

public interface RelationshipMapper extends BaseMapper<Relationship> {
    //1. 查询用户接口
    List<User> findUserByUsername(String currentName,String username);
    //2.添加用户接口
    void addFriendRequest(Relationship relationship);
    //3.接受添加请求
    void acceptFriendRequest(String username, String friend, int status);
    //4.删除好友
    void removeFriend(String username, String friend);
    //5.获取好友列表
    List<UserListVo> getFriends(String username);
    //6.查看是否有好友请求
    List<Relationship> checkFriendRequest(String getuserId);

    /**
     * 获取粉丝数量
     * @param userId
     * @return {@link Integer }
     */
    String getTotalFollowerCount(Integer userId);
}
