package com.xubx.springboot_01demo.service;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.xubx.springboot_01demo.entity.dto.user.EditMaterialDto;
import com.xubx.springboot_01demo.entity.dto.user.NewFavoritesDto;
import com.xubx.springboot_01demo.entity.pojo.Blogs;
import com.xubx.springboot_01demo.entity.pojo.User;
import com.xubx.springboot_01demo.entity.pojo.UserFavorite;
import com.xubx.springboot_01demo.entity.vo.getUserInfoVo;

import java.util.List;

public interface UserService {
    //登陆判断
    String login(User user);
    //新增用户
    Boolean insertUser(User user);
    //添加头像
    void addAvatar(String path,String userId);
    //获取头像地址
    String getAvatar(String name);
    //5.修改用户名
    void usernameChange(String username);
    //6.修改密码
    boolean passwordChange(String username,String oldPassword,String newPassword);

    JSONObject checkFriendRequest(String getuserId);

    User getUser(String getUserId);

    getUserInfoVo getUserInfo(String getuserId);

    /**
     *修改用户信息
     */
    void editMaterial(EditMaterialDto editMaterialDto);

    /**
     * 新建收藏夹
     * @param newFavorites
     */
    String newFavorites(NewFavoritesDto newFavorites);

    /**
     * 获取用户的收藏夹
     * @param userId
     * @return {@link List }<{@link UserFavorite }>
     */
    List<UserFavorite> getUserFavorites(String userId);

    /**
     * 根据收藏夹id获取收藏夹中的博客
     * @param favoriteId
     * @return {@link List }<{@link Blogs }>
     */
    List<Blogs> getBlogsByFavoriteId(String favoriteId) throws JsonProcessingException;

    /**
     * 获取用户的粉丝列表
     * @param userId
     * @return {@link List }<{@link User }>
     */
    List<User> getUserFans(String userId);

    /**
     * 获取用户关注列表
     * @param userId
     * @return {@link List }<{@link User }>
     */
    List<User> getUserFollowList(String userId);

    /**
     * 关注 / 取关用户
     * @param followedId
     * @return {@link Object }
     */
    Object followUser(String followedId);

    /**
     * 订阅分类
     * @param categories
     * @return {@link Object }
     */
    void subscribe(List<String> categories);
}
