package com.xubx.springboot_01demo.service.impl;

import com.xubx.springboot_01demo.configuration.constantConfiguration;
import com.xubx.springboot_01demo.entity.dto.SendMesDto;
import com.xubx.springboot_01demo.mapper.MessagesMapper;
import com.xubx.springboot_01demo.entity.pojo.Messages;
import com.xubx.springboot_01demo.service.MessagesService;
import com.xubx.springboot_01demo.entity.vo.historyMessagesVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.sql.Timestamp;
import java.util.List;

@Service
public class MessagesServiceImpl implements MessagesService {
    @Resource
    MessagesMapper messagesMapper;//@Resource注解表示基于名称注入，如果基于名称注入失败，则会基于类型注入

    @Override
    public void sendMessages(SendMesDto sendMesDto) {
        Messages messages = new Messages();
        BeanUtils.copyProperties(sendMesDto, messages);//将sendMesDto的属性复制到messages
        messages.setState(constantConfiguration.Unread);
        messages.setCreated(new Timestamp(System.currentTimeMillis()));
        messagesMapper.sendMessages(messages);
    }

    @Override
    public List<historyMessagesVo> getMessages(String sender, String recipient) {
        //查询成功后将state设置为已读
        messagesMapper.updateState(sender, recipient, constantConfiguration.Read);
        return messagesMapper.getMessages(sender, recipient);
    }
}
