package com.xubx.springboot_01demo.utils.api;

import lombok.Data;

@Data
public class Result<T> {
    //状态码
    private int code;
    //提示信息
    private String message;
    //推送的数据
    private ResultData<T> result;

//    public static <T> Result<T> ok(String chartType, List<T> data) {
//        Result<T> r = new Result<>();
//        r.setCode(200);
//        r.setMessage("");
//        ResultData<T> resultData = new ResultData<>();
////        resultData.setChartType(chartType);
////        resultData.setList(data);
//        r.setResult(resultData);
//        return r;
//    }

    public static <T> Result<T> ok( String Message, T data) {
        Result<T> r = new Result<>();
        r.setCode(200);
        r.setMessage(Message);
        ResultData<T> resultData = new ResultData<>();
        resultData.setData(data);
        r.setResult(resultData);
        return r;
    }
    public static <T> Result<T> error(String message) {
        Result<T> r = new Result<>();
        r.setCode(500);
        r.setMessage(message);
        return r;
    }


    @Override
    public String toString() {
        return "Result{" +
                "code=" + code +
                ", message='" + message + '\'' +
                ", result=" + result +
                '}';
    }
}
@Data
class ResultData<T> {
    // 图表类型
//    private String chartType;
    // 数据
//    private List<T> List;
    //数据
    private T data;
}
