import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.apache.http.client.HttpResponseException;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.ContentType;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.junit.jupiter.api.Test;

import java.io.IOException;

public class OpenAIApiClient {
    private static final String API_SECRET_KEY = "sk-zk2d680be7e83c1da760dcddc8243116dbd6678335384787";
    private static final String BASE_URL = "https://api.zhizengzeng.com/v1/chat/completions";

    @Test
    public void test() {
        CloseableHttpClient httpClient = HttpClients.createDefault();

        // Construct the request body
        JSONObject content = new JSONObject();
        content.put("type", "text");
        content.put("text", "What’s in this image?");

        JSONObject imageContent = new JSONObject();
        imageContent.put("type", "image_url");
        JSONObject imageUrl = new JSONObject();
        imageUrl.put("url", "http://124.71.135.249:8081/images/avatar/1718618415826.jpg");
        imageContent.put("image_url", imageUrl);

        JSONObject message = new JSONObject();
        message.put("role", "user");
        message.put("content", new JSONObject[]{content, imageContent});

        JSONObject requestBodyJson = new JSONObject();
        requestBodyJson.put("model", "gpt-4o");
        requestBodyJson.put("messages", new JSONObject[]{message});
        requestBodyJson.put("max_tokens", 300);

        StringEntity requestEntity = new StringEntity(requestBodyJson.toJSONString(), ContentType.APPLICATION_JSON);

        HttpPost httpPost = new HttpPost(BASE_URL);
        httpPost.setHeader("Authorization", "Bearer " + API_SECRET_KEY);
        httpPost.setHeader("Content-Type", "application/json");
        httpPost.setEntity(requestEntity);

        try (CloseableHttpResponse response = httpClient.execute(httpPost)) {
//            if (response.getCode() != 200) {
//                throw new HttpResponseException(response.getCode(), "Unexpected response status");
//            }

            // Parse the JSON response
            String responseBody = new String(response.getEntity().getContent().readAllBytes());
            JSONObject jsonResponse = JSON.parseObject(responseBody);

            // Print the response
            System.out.println(jsonResponse.toJSONString(true));
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
